Page MenuHomePhabricator

Change text for beta feature section
Closed, ResolvedPublic2 Estimated Story Points

Description

New text for the WikimediaMessages extension:

  • "fileexporter": "FileExporter",
  • "fileexporter-desc": "Easy exporting of files to another wiki",
  • "fileexporter-text": "Export file"
  • "fileexporter-beta-feature-message": "FileExporter",
  • "fileexporter-beta-feature-description": "Allows for easy exporting of files to Wikimedia Commons."

The labels for the FileExporter extension in general should stay the way they are.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptJun 7 2018, 9:32 AM
JStrodt_WMDE added a subscriber: WMDE-Fisch.

@WMDE-Fisch Here's the ticket we've discussed.

Lea_WMDE triaged this task as Medium priority.Jun 12 2018, 8:55 AM
Lea_WMDE updated the task description. (Show Details)
Lea_WMDE set the point value for this task to 2.

Change 440885 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/extensions/FileExporter@master] Change beta feature desc text to be Commons specific

https://gerrit.wikimedia.org/r/440885

Ok the patch above is for changing the text in the beta features message. For the other message I am not sure for the following reasons:

  • Third parties using this extension will use them probably outside the Commons context.
  • The extension itself does not care where the link to import to goes and can be configured arbitrarily.
  • That's why I would not change the "general extension description" that (only?) shows up in https://en.wikipedia.beta.wmflabs.org/wiki/Special:Version
  • We could make it so, that this text will only be different in the Wikimedia world deployed version but still I am not sure if this should be done.
  • But still I personally think we should leave it as it is, this page is more for techs anyway and most descriptions there are pretty general.
  • The beta feature test could be more specific imo because it will only be used in our context and removed when we leave beta.

Other opinions @thiemowmde, @Lea_WMDE ?

Change 440885 merged by jenkins-bot:
[mediawiki/extensions/FileExporter@master] Change beta feature desc text to be Commons specific

https://gerrit.wikimedia.org/r/440885

The beta feature text could be more specific imo because it will only be used in our context and removed when we leave beta.

Agreed. This is why the patch https://gerrit.wikimedia.org/r/440885 is not in the WikimediaMessages extension.

[…] I would not change the "general extension description" that (only?) shows up in https://en.wikipedia.beta.wmflabs.org/wiki/Special:Version

I agree. To my knowledge Special:Version is the only place where this text appears, and I wonder why the ticket asks for this change, when the task description claims that "the labels for the extension in general should stay"? As far as I'm concerned the message fileexporter-desc is this "general label".

thiemowmde updated the task description. (Show Details)
  • My two cents as the person who created the ticket: It's fine for the text to remain as "fileexporter-desc": "Easy exporting of files to another wiki".
  • "fileexporter-desc": "Easy exporting of files to Wikimedia Commons" was added to the ticket before we decided that it should be more general.
  • I guess, when we later added the hint "The labels for the FileExporter extension in general should stay the way they are", we overlooked to change the "fileexporter-desc" in the ticket accordingly.

Ah, I see. I missed this edit. Thanks!

sounds all good to me! Thanks for clarifying!

Vvjjkkii renamed this task from Change text for beta feature section to mhbaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii removed WMDE-Fisch as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed the point value for this task.
Vvjjkkii removed a subscriber: gerritbot.
CommunityTechBot renamed this task from mhbaaaaaaa to Change text for beta feature section.Jul 2 2018, 1:33 PM
CommunityTechBot assigned this task to WMDE-Fisch.
CommunityTechBot lowered the priority of this task from High to Medium.
CommunityTechBot set the point value for this task to 2.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: gerritbot.
Lea_WMDE closed this task as Resolved.Jul 3 2018, 3:23 PM